Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 610124 - python crashes running yum, somewhere deep inside libsqlite3
python crashes running yum, somewhere deep inside libsqlite3
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Malcolm
Fedora Extras Quality Assurance
abrt_hash:ccf3dc87b7d81348303d2ddedbf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-01 11:31 EDT by yusef fathi abo-shahadi
Modified: 2014-01-21 18:15 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:35:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.45 KB, text/plain)
2010-07-01 11:31 EDT, yusef fathi abo-shahadi
no flags Details

  None (edit)
Description yusef fathi abo-shahadi 2010-07-01 11:31:34 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/yum install mdbtools-devel
component: yum
executable: /usr/bin/python
global_uuid: ccf3dc87b7d81348303d2ddedbf1bb3b3b3877a4
kernel: 2.6.32.11-99.fc12.i686
package: yum-3.2.27-3.fc12
rating: 0
reason: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)
Comment 1 yusef fathi abo-shahadi 2010-07-01 11:31:39 EDT
Created attachment 428475 [details]
File: backtrace
Comment 2 seth vidal 2010-07-01 11:34:31 EDT
sending over to python but this could be glibc/prelink?
Comment 3 James Antill 2010-07-01 11:37:25 EDT
The last part of the backtrace is in: /usr/lib/libsqlite3.so.0 ... but I guess it's unlikely the problem is there (but then it's unlikely the problem is python).

 Yusef, what does the following say: rpm -V python python-libs sqlite3
Comment 4 yusef fathi abo-shahadi 2010-07-01 11:40:33 EDT
it say package sqlite3 is not installed
Comment 5 yusef fathi abo-shahadi 2010-07-01 11:43:19 EDT
and no package with that name in the packages i treid to install it (No package sqlite3 available.)
Comment 6 Dave Malcolm 2010-07-01 15:27:52 EDT
FWIW, the package is "sqlite", not "sqlite3".

Thanks for filing this bug report.  

How reproducible is this problem?

Unfortunately, the stack trace is not very useful in determining the cause of the crash, because it lacks debugging symbols. In order to get a symbolic stack trace, the appropriate debuginfo packages need to be installed. In order to accomplish this, you can run the command: 

    debuginfo-install python sqlite

Please see http://fedoraproject.org/wiki/StackTraces for more information about stack traces.
Comment 7 Bug Zapper 2010-11-03 08:38:22 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-12-03 08:35:23 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.